Bug 1736489 - python-cherrypy: FTBFS in Fedora rawhide/f31
Summary: python-cherrypy: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cherrypy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Radez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1142991
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 18:34 UTC by Fedora Release Engineering
Modified: 2019-08-13 12:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-13 12:27:15 UTC
Type: ---


Attachments (Terms of Use)
build.log (27.33 KB, text/plain)
2019-08-01 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2019-08-01 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 18:34:06 UTC
python-cherrypy failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637095


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix python-cherrypy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-cherrypy will be orphaned. Before branching of Fedora 32,
python-cherrypy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 18:34:09 UTC
Created attachment 1598728 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 18:34:16 UTC
Created attachment 1598729 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 18:34:18 UTC
Created attachment 1598730 [details]
state.log

Comment 4 Matthias Runge 2019-08-02 15:07:28 UTC
For the record, cherrypy is significantly outdated in Fedora. Upstream supports python3 now.

This will need to get packaged (at least) to get it updated to a more recent version:
python3-cheroot
python3-portend
python3-jaraco-packaging
python3-pytest-black-multiply
python3-pytest-checkdocs
python3-rst-linker


Note You need to log in before you can comment on or make changes to this bug.